<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%doc>
	This page is a Mako template, but it *does* *not* run on the board.
	It's pre-compiled as part of the firmware build. That means all board
	interaction must happen using JavaScript/JSONRPC calls.

	Sure, it's a pain, but every template system I tried was both
	cumbersome and slow. The goal is for a snappy user interface that's
	easy to maintain, and this looks like the best compromise.

	From an efficiency perspective, the JSONRPC (Python interface) path is
	more important than the web interface. This has to be fast enough to
	use, but it doesn't matter if it involves e.g. extra network traffic.
</%doc>

<!--
	This HTML file is auto-generated from a Mako template at build time.
	If you need to change anything, look in "base.inc" for an explanation.
-->

<%inherit file="globals.inc" />

<html>
	<head>
		<title>Winterland Cryoelectronics Board</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link rel="stylesheet" type="text/css" href="css/style.css">
		<script src="js/json2.js" type="text/javascript"></script>
		<script src="js/cryo.js" type="text/javascript"></script>
		<script src="js/jquery-1.4.2.js" type="text/javascript"></script>
		<script src="js/jquery.jeditable.js" type="text/javascript"></script>
		<script src="js/jquery.timer.js" type="text/javascript"></script>
	</head>

	<body>
		<div id="container">
			<div id="header-wrap">
				<div id="header-in">
					<div id="nav">
						<span class="navright"><a href="http://www.physics.mcgill.ca/~mdobbs/">Winterland Cosmology Lab</a></span>

						<span class="navleft">
							<a href="index.html">Cryo Electronics</a> |
							<!-- <a href="guide.html">Guide</a> | -->
							<!-- <a href="automatic.html">Automatic</a> | -->
							<a href="readout.html">Readout</a> |
							<!-- <a href="logs.html">Logs</a> | -->
							<a href="streamer.html">Streamer</a> |
							<!-- <a href="configuration.html">Configuration</a> |
							<a href="program.html">Program</a> |
							<a href="housekeeping.html">Housekeeping</a> |
							<a href="timekeeping.html">Timekeeping</a> |
							<a href="sysinfo.html">System Info</a> -->
						</span>
					</div>
				</div>
			</div>
			<div id="content-wrap">
				<div id="center">
					<div id="center-in">
						${next.body()}
					</div>
				</div>
			</div>
			<div id="footer-wrap">
				<div id="footer-in">
					<ul id="nav-footer">
						<li class="left">copyright &copy; 2009, 2010 McGill University</li>
						<li><a href="contact" title="About us">About us!</a></li>
					</ul>
				</div>
			</div>
		</div>
	</body>
</html>


