



/* This function is intended to use with 'onkeypress' events, and filters
 * these events for "return" keys. Otherwise, it's just a dumb wrapper. */
function cryo_method_return(event, obj, method, args) {
	if (event && event.keyCode == 13)
		cryo_method(obj, method, args);
	else
		return true;
}

function cryo_method(obj, method, args, ajax_args) {
	ajax_args = typeof(ajax_args) == 'undefined' ? {} : ajax_args;

	$.ajax($.extend(ajax_args, {
		type: 'POST',
		url: '/methods/' + obj + '/' + method,
		data: JSON.stringify(args),
		error: function(r, stat, exc) {
			console.log(r)
			console.log(stat)
			console.log(exc)
			if(stat != "timeout")
				alert("Error occurred during call!")
		}
	}));
}


waveforms_to_names = {
	"Square"	: "Square",
	"DC"	: "DC",
	"Sine"	: "AC",
};

names_to_waveforms = {
	"AC"	: "Sine",
	"DC"	: "DC",
	"Square": "Square",
};

function format_si(f, u) {
	if(!u || u=="")
		u = "&nbsp;"

	if(typeof(f) == 'undefined' || f===false)
		return "";

	if (Math.abs(f)<1e-19)
		return "0.00&nbsp;&nbsp;" + u;
        else if(Math.abs(f)<1e-12)
	 	return (f*1e15).toFixed(2) + "&nbsp;f" + u;
        else if(Math.abs(f)<1e-9)
	 	return (f*1e12).toFixed(2) + "&nbsp;p" + u;
        else if(Math.abs(f)<1e-6)
	 	return (f*1e9).toFixed(2) + "&nbsp;n" + u;
        else if(Math.abs(f)<1e-3)
	 	return (f*1e6).toFixed(2) + "&nbsp;&mu;" + u;
        else if(Math.abs(f)<1)
	 	return (f*1e3).toFixed(2) + "&nbsp;m" + u;
        else if(Math.abs(f)<1e3)
	 	return (f).toFixed(2) + "&nbsp;&nbsp;" + u;
        else if(Math.abs(f)<1e6)
	 	return (f/1e3).toFixed(2) + "&nbsp;k" + u;
        else if(Math.abs(f)<1e9)
	 	return (f/1e6).toFixed(2) + "&nbsp;M" + u;
        else if(Math.abs(f)<1e12)
	 	return (f/1e9).toFixed(2) + "&nbsp;G" + u;
        else
	 	return f.toFixed(2) + "&nbsp;&nbsp;" + u;
}



