<%inherit file="base.inc" />

<h1>Manual Control</h1>
<table border='1' summary='Heater Status'>
	<caption>Heater Settings and Readout</caption>
	<thead>
		<tr>
			<th>Channel</th><th>Name</th><th>Switch</th><th>Amplitude</th><th>Units</th><th>Actions</th>
		</tr>
	</thead>
	<tbody>
		% for c in xrange(self.libcrython.NUM_HEATER_CHANNELS):
			<tr>
				<td>${c+1}</td>
	<%doc>
				<td>$chc|get_channel_name{$index0}</td>
				<td>
					<INPUT TYPE=CHECKBOX id=heater_switch_$index0 NAME="switch"
						$format_js_checked{$cb|get_heater_switch{$index0}}
						onclick="cryo_method('CryoBoard', 'set_heater_switch', [
							$index0,
							$dom{'heater_switch_%i', $index0}.checked
						])"
					/>
				</td>
				<td>
					<INPUT type="text"
						id=heater_amp_$index0 maxlength="10"
						value=$milli{$cb|get_heater_amplitude{$index0, $crython|WATTS}}
					/>
				</td>
				<td>
					<select id=heater_units_$index0 STYLE="width: 150px">
						<option value="DAC Counts">DAC Counts</option>
						<option value="Amps" selected>Microamps</option>
						<option selected value="Watts">Milliwatts</option>
						<option value="Volts">Volts</option>
					</select>
				</td>
				<td>
					<input type="submit" value="Set"
						onclick="cryo_method('CryoBoard', 'set_heater_amplitude', [
							$index0,
							{'DAC Counts': 1, 'Amps': 1e-6, 'Watts': 1e-3, 'Volts': 1}[$dom{'heater_units_%i', $index0}.value] * (parseFloat($dom{"heater_amp_%i", $index0}.value) || 0),
							{'DAC Counts': $crython|DAC_COUNTS, 'Amps': $crython|AMPS, 'Watts': $crython|WATTS, 'Volts': $crython|VOLTS}[$dom{'heater_units_%i', $index0}.value]
						])"
					/>
				</td>
	</%doc>
			</tr>
		% endfor
	</tbody>
</table>
<br />
<table border= '1'>
	<caption>Set the Drive Circuits</caption>
	<thead>
		<tr>
			<th>Channel</th><th>Name</th><th>Amplitude</th><th>Modulation</th><th>Demodulation</th><th>Actions</th>
		</tr>
	</thead>
	<%doc>
	<tbody>
		$cooked_channels[[
			<tr>
				<td>$index</td>
				<td>$cc|get_channel_name{$index0}</td>
				<!-- <td><select style="width: 100px;">
					<option value="rtd">RTD</foo>
					<option value="diode">Diode</foo>
				</select></td> -->
				<td>
					<input type="text" id=$sf{'channel_amp_%i',$index0}
						onkeypress="cryo_method_return(event, 'CryoBoard', 'set_channel_dac_amplitude', [
							$index0,
							{$crython|AMPS:1e-6,$crython|DAC_COUNTS:1}[$dom{'channel_units_%i',$index0}.value] * parseFloat($dom{'channel_amp_%i',$index0}.value),
							parseFloat($dom{'channel_units_%i',$index0}.value)
						])"
						maxlength="10" />

					<select id=$sf{'channel_units_%i',$index0} STYLE="width: 150px">
						<option value="$crython|DAC_COUNTS">DAC Counts</option>
						<option value="$crython|AMPS" selected>Microamps</option>
					</select>
				</td>
				<td>
					<select id=$sf{'channel_mod_%i',$index0} STYLE="width: 100px"
						onclick="cryo_method('CryoBoard', 'set_channel_dac_waveform', [
							$index0,
							parseFloat($dom{'channel_mod_%i',$index0}.value)
						])"
					>
						<option value=$crython|SQUARE>Square</option>
						<option value=$crython|SINE>Sinusoidal</option>
						<option value=$crython|DC>DC</option>
					</select>
				</td>
				<td>
					<select id=$sf{'channel_demod_%i',$index0} STYLE="width: 100px"
						onclick="cryo_method('CryoBoard', 'set_channel_adc_waveform', [
							$index0,
							parseFloat($dom{'channel_demod_%i',$index0}.value)
						])"
					>
						<option value=$crython|SINE ${'selected' if cp['demod_signal'] == crython.SINE else ''}>Sinusoidal</option>
						<option value=$crython|DC ${'selected' if cp['demod_signal'] == crython.DC else ''}>DC</option>
					</select>
				</td>
				<td>
				</td>
			</tr>
		]]
		<tr>
			<td style="background:#FFFF00;color:#000" colspan="2"><b>Frequency</b> </td>
			<td>
				<input type="text" id=frequency maxlength="10" />
				<select id=frequency_units style="width: 100px">
					<option value="$crython|RAW">Raw Units</option>
					<option value="$crython|HZ" selected>Hertz</option>
				</select>
				<input type="submit" value="Set"
					onclick="cryo_method('CryoBoard', 'set_frequency', [
						parseFloat($dom{'frequency'}.value),
						parseFloat($dom{'frequency_units'}.value)
						])"
				/>

			</td>
			<td />
			<td />
			<td />
		</tr>
	</tbody>
	</%doc>
</table>

<input type="submit" value="Reset Board"
	onclick="cryo_method('CryoBoard', 'reset_board', {} )" />

